package net.bjoerks.HttpHandle;

import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class ThreadByHandleActivity extends Activity {
    private Handler myHandler;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        myHandler = new Handler ();
        this.findViewById(R.id.button1).setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_button1(v);
			}
		});
        TextView textView1 = (TextView)this.findViewById(R.id.textView1);
        textView1.setText("S er vi startet");
    }
    
	public void onClick_button1(View v) {
        TextView textView1 = (TextView)this.findViewById(R.id.textView1);
        Thread t = new Thread(new MyDownloadThread(myHandler));
        t.start();
        textView1.setText("S krer vi");
	}
    
    private class MyDownloadThread implements Runnable
    {
    	private Handler myHandler;
    	private volatile boolean stop;
    	public MyDownloadThread(Handler myHandler) {
    		this.myHandler = myHandler;
    	}
    	
        @Override
    	public void run() {
        	
        	try {
        		Thread.sleep(2000);

                StringBuilder s = new StringBuilder();
                for (int i=1;i<20;++i)
                	s.append("\n"+i);
                final String response = s.toString();
                this.myHandler.post(new Runnable() {

					@Override
					public void run() {
						ThreadByHandleActivity.this.downloadEndEvent(response);
					}
				});
        	}
        	catch (Exception e) {
        		
        	}
        	
        	
    		
    	}
        public void signalStop() {
        	this.stop = true;
        }
    }
    public void downloadEndEvent (String response) {
        TextView textView1 = (TextView)this.findViewById(R.id.textView1);
        textView1.setText(response);
    }
    
    
    
}